%define		evo_ver	3.10
%define		rname mail-notification
Summary:	GNOME notification area mail monitor
Summary(pl.UTF-8):	Monitor poczty widoczny w obszarze powiadamiania GNOME
Name:		gnome-mail-notification
Version:	5.4
Release:	18
License:	GPL v3+
Group:		X11/Applications
Source0:	https://github.com/epienbroek/mail-notification/tarball/master/%{rname}-%{version}.tar.gz
# Source0-md5:	1c4aea14dd2f9b89b659eaf39cde05f4
Patch0:		mail-notification-jb-gcc-format.patch
URL:		http://www.nongnu.org/mailnotify/
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	evolution-devel >= 3.0.0
BuildRequires:	gettext-devel
BuildRequires:	gmime-devel >= 2.1.19
BuildRequires:	gmime22-devel
BuildRequires:	gob2 >= 2.0.17
BuildRequires:	libgnome-keyring-devel >= 3.0.0
BuildRequires:	gnome-vfs2-devel >= 2.22.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libbonobo-devel >= 2.22.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.22.01
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	nautilus-devel >= 2.30
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	gmime >= 2.1.19
Requires:	libgnomeui >= 2.22.01
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail Notification is an icon for the GNOME Notification Area that
informs users if they have new mail. It handles multiple folders and
multiple folder formats.

%description -l pl.UTF-8
Mail Notification to ikona dla obszaru powiadamiania GNOME informująca
użytkowników, czy mają nową pocztę. Obsługuje wiele folderów oraz
wiele formatów folderów.

%package -n evolution-plugin-mail-notification
Summary:	Mail Notification plugin for Evolution
Summary(pl.UTF-8):	Wtyczka Mail Notification dla Evolution
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	evolution >= 3.0.0

%description -n evolution-plugin-mail-notification
Evolution mailbox support for Mail Notification.

%description -n evolution-plugin-mail-notification -l pl.UTF-8
Wsparcie dla skrzynek pocztowych Evolution w Mail Notification.

%prep
%setup -q -n epienbroek-%{rname}-45d11d2
%patch0 -p1

%build
./jb configure \
	libs="-lX11" \
	destdir=$RPM_BUILD_ROOT \
	sysconfdir=%{_sysconfdir} \
	localstatedir=%{_var} \
	install-gconf-schemas=no

./jb build

%install
rm -rf $RPM_BUILD_ROOT

./jb install

# install also GtkBuilder files
#cp -p ui/mailbox-properties-dialog.ui $RPM_BUILD_ROOT%{_datadir}/mail-notification
#cp -p ui/properties-dialog.ui $RPM_BUILD_ROOT%{_datadir}/mail-notification

%find_lang %{rname} --all-name --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install mail-notification.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall mail-notification.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{rname}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/mail-notification
%{_datadir}/mail-notification
%{_sysconfdir}/xdg/autostart/mail-notification.desktop
%{_desktopdir}/mail-notification-properties.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_sysconfdir}/gconf/schemas/mail-notification.schemas

%files -n evolution-plugin-mail-notification
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/evolution/%{evo_ver}/plugins/liborg-jylefort-mail-notification.so
%{_libdir}/evolution/%{evo_ver}/plugins/org-jylefort-mail-notification.eplug
%changelog
* Wed Oct 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-mail-notification.git;a=log;h=master

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 494956e
- release 18 (by relup.sh)

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> c70ca4e
- BR gob2

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 71f547f
- rebuild for evolution 3.10

* Fri Apr 19 2013 Jan Rękorajski <baggins@pld-linux.org> 43dc8dd
- updated to latest sources
- fix building with new glibc
- rel 17

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 9f4bd58
- release 16 (by relup.sh)

* Sat Oct 20 2012 Jan Rękorajski <baggins@pld-linux.org> ddd1295
- remove patches merged upstream

* Sat Oct 20 2012 Jan Rękorajski <baggins@pld-linux.org> 6324eeb
- switch to using sources from https://github.com/epienbroek/mail-notification

* Tue Oct 16 2012 Jan Rękorajski <baggins@pld-linux.org> 89f8486
- added TODO

* Tue Oct 16 2012 Jan Rękorajski <baggins@pld-linux.org> fc1700e
- fix patch

* Tue Oct 16 2012 Jan Rękorajski <baggins@pld-linux.org> 584ba88
- evolution 3.5.3 support

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> e6eea3d
- Unlucky 13 :/
Release 14

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 66b235f
- Install GtkBuilder files
Release 13

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> 766a724
- link with libX11 (build/src/mail-notification-eggtrayicon.o: undefined reference to symbol 'XSendEvent')

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> 0e2d208
- updated gtk3/evolution patches from fedora

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> a308164
- fix for evolution 3.3.5+

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> c457780
- gnome-keyring is now libgnome-keyring

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> 85aa162
- rel 12
- evolution 3.4

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ef8fde8
- release 11

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 1298756
- patch stolen from fedora

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> b02b91d
- obsoleted

